Package tigase.xmpp.impl

# Enum Class JabberIqPrivacy.ITEM_ACTION

java.lang.Object
java.lang.Enum<JabberIqPrivacy.ITEM_ACTION>
tigase.xmpp.impl.JabberIqPrivacy.ITEM_ACTION

All Implemented Interfaces:
  `Serializable`, `Comparable<JabberIqPrivacy.ITEM_ACTION>`, `Constable`

Enclosing class:
  JabberIqPrivacy

protected static enum JabberIqPrivacy.ITEM_ACTION extends Enum<JabberIqPrivacy.ITEM_ACTION>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `allow`
  `deny`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JabberIqPrivacy.ITEM_ACTION`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JabberIqPrivacy.ITEM_ACTION[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### allow

    public static final JabberIqPrivacy.ITEM_ACTION allow

  - ### deny

    public static final JabberIqPrivacy.ITEM_ACTION deny

- ## Method Details

  - ### values

    public static JabberIqPrivacy.ITEM_ACTION[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JabberIqPrivacy.ITEM_ACTION valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null